Bug 999657 - splitting the sos report to modules - Keystone
splitting the sos report to modules - Keystone
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-keystone (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: Milestone3
: Havana
Assigned To: Kaushik Banerjee
Kaushik Banerjee
:
Depends On:
Blocks: 999587
  Show dependency treegraph
 
Reported: 2013-08-21 15:34 EDT by lpeer
Modified: 2016-04-26 12:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 999656
: 999659 (view as bug list)
Environment:
Last Closed: 2015-04-16 18:40:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lpeer 2013-08-21 15:34:00 EDT
Description of problem:

Using component naming instead of a single product naming could help make the sos plugin easier to maintain.

Instead of having -
 https://github.com/sosreport/sosreport/blob/master/sos/plugins/openstack.py

We should have module per component: nova, neutron, heat, ceilometer, glance, etc, etc

Other relevant information can be found on the thread -
http://post-office.corp.redhat.com/archives/rh-openstack-dev/2013-August/msg00364.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from lpeer on 2013-08-21 15:27:46 EDT ---

please create openstack-keystone.py
Comment 1 Jeremy Agee 2013-08-29 16:26:36 EDT
Initial split of openstack-cinder.py, openstack-dashboard.py, openstack-glance.py, openstack-horizon.py, openstack-keystone.py, openstack-nova.py, openstack-quantum.py, openstack-swift.py can be found here: https://github.com/jagee/sosreport.git

still need to create heat, ceilometer, packstack modules and refine password scrubbing.
Comment 2 Jeremy Agee 2013-08-30 11:51:42 EDT
Pull request: https://github.com/sosreport/sosreport/pull/192
Comment 3 Jeremy Agee 2013-11-19 09:43:56 EST
This was accepted upstream and is in the main github branch.

https://github.com/sosreport/sosreport/blob/master/sos/plugins/openstack_keystone.py

For RHEL6 this had to be backported to sos 2.2 and is not in the main sos package.  It can be found in the package sos-plugins-openstack.

For testing the sos and sos-plugins-openstack packages should be installed and run on a system with keystone installed.  The sos tarball should contain the 4 keystone config files from the setup self.add_copy_specs call and should also capture the logs from /var/log/keystone.  The /etc/keystone/keystone.conf file should also have passwords scrubbed in the postproc step.
Comment 4 Jeremy Agee 2013-11-19 09:45:42 EST
tested and works as expected, see test plan.
Comment 7 Alan Pevec 2015-04-16 18:40:13 EDT
openstack plugins have been included into sos 3.2

Note You need to log in before you can comment on or make changes to this bug.